/**
 * File         : mystyle.css
 * Description  : CSS App
 * Created By	: Ruhaendi (titasictech.com)
 * Created Date : 10 Jul 2025
 * Last Update  : 01 Mar 2026
**/
.bg-rp-red{background-color:#ff0000 !important}
.bg-rp-blue{background-color:#2c0071 !important}
.text-rp-red{color:#ff0000 !important}
.text-rp-blue{color:#2c0071 !important}
.text-primary{color:#1A73E8 !important}
.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #1A73E8;
    --bs-btn-border-color: #1A73E8;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgb(22.1, 97.75, 197.2);
    --bs-btn-hover-border-color: rgb(20.8, 92, 185.6);
    --bs-btn-focus-shadow-rgb: 60, 136, 235;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgb(20.8, 92, 185.6);
    --bs-btn-active-border-color: rgb(19.5, 86.25, 174);
    --bs-btn-active-shadow: none;
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #1A73E8;
    --bs-btn-disabled-border-color: #1A73E8;
}
.bg-primary {
    background-color: #1a73e8 !important;
}
.btn-primary,
.btn.bg-gradient-btn-primary {
  box-shadow: 0 2px 2px 0 rgba(26, 115, 232, 0.1), 0 3px 1px -2px rgba(26, 115, 232, 0.18), 0 1px 5px 0 rgba(26, 115, 232, 0.15);
}
.btn-primary:hover,
.btn.bg-gradient-primary:hover {
  background-color: #1A73E8;
  border-color: #1A73E8;
  box-shadow: 0 8px 14px -8px rgba(26, 115, 232, 0.3), 0 3px 18px 0 rgba(26, 115, 232, 0.1), 0 7px 8px -4px rgba(26, 115, 232, 0.18);
}
.btn-primary .btn.bg-outline-primary,
.btn.bg-gradient-primary .btn.bg-outline-primary {
  border: 1px solid #1A73E8;
}
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle,
.btn.bg-gradient-primary:not(:disabled):not(.disabled).active,
.btn.bg-gradient-primary:not(:disabled):not(.disabled):active,
.show>.btn.bg-gradient-primary.dropdown-toggle {
  color: color-yiq(#1A73E8);
  background-color: #1A73E8;
}
.input-group.input-group-dynamic.is-focused label,
.input-group.input-group-static.is-focused label {
  color: #1a73e8;
}
.input-group.input-group-dynamic .form-control,
.input-group.input-group-dynamic .form-control:focus,
.input-group.input-group-static .form-control,
.input-group.input-group-static .form-control:focus {
  background-image: linear-gradient(0deg, #1a73e8 2px, rgba(156, 39, 176, 0) 0), linear-gradient(0deg, #d2d2d2 1px, hsla(0, 0%, 82%, 0) 0);
  border-radius: 0 !important;
}
.input-group.input-group-dynamic .form-control[disabled],
.input-group.input-group-static .form-control[disabled] {
  cursor: not-allowed;
  background-image: linear-gradient(0deg, #1a73e8 2px, rgba(156, 39, 176, 0) 0), linear-gradient(0deg, #e5e5e5 1px, hsla(0, 0%, 82%, 0) 0) !important;
}
#navbarBlur {background-color: #fff;box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);border: 1px solid #e5e5e5}
/*nav.navbar{background-color:#fd7062 !important}
nav.navbar .sidenav-toggler-line,nav.navbar.blur .sidenav-toggler-line.bg-dark{background-color:#ffffff !important}
nav.navbar.blur .breadcrumb .breadcrumb-item.text-dark{color:#ffffff !important}
nav.navbar .material-symbols-rounded,nav.navbar.blur .material-symbols-rounded{color:#ffffff !important}
.navbar .navbar-brand{color:#ffffff}*/
.navbar-nav li.nav-item a.text-body{color:#262626 !important}
.sidenav-toggler i.sidenav-toggler-line{background-color:#262626 !important}
.bg-orange{background-color:#fd7062 !important}
.text-orange{color:#fd7062 !important}
.btn-orange{background-color:#fd7062 !important;color:#ffffff}
.btn-orange:hover{background-color:#fd7062 !important;color:#ffffff;box-shadow:0 8px 14px -8px rgb(255 99 79 / 15%), 0 3px 18px 0 rgb(255 99 79 / 27%), 0 7px 8px -4px rgba(255, 99, 79, 0.18)}
.navbar-vertical.navbar-expand-xs{overflow-x:hidden;overflow-y:hidden}
.navbar-vertical.navbar-expand-xs .navbar-collapse{overflow:hidden}
.navbar-vertical.navbar-expand-xs:hover{overflow-y:auto}
.navbar-vertical .nav-item .nav-link .sidenav-mini-icon i{vertical-align:middle}
.navbar-vertical .nav-item:hover>.nav-link{/*color:#ffffff !important;*/background-color:#1A73E812 !important;border-radius:0.375rem}
.navbar-vertical .nav-item>.nav-link+.collapse .nav .nav-item:hover>.nav-link{/*color:#ffffff !important;*/background-color:#1A73E812 !important;border-radius:0.375rem}
.navbar-vertical .nav-item>.nav-link+.collapse .nav .nav-item+.collapse .nav .nav-item:hover .nav-link{/*color:#ffffff !important;*/background-color:#1A73E812 !important;border-radius:0.375rem}
.navbar-vertical .navbar-nav>.nav-item .nav-link.active{color:#ffffff !important;background-color:#1A73E8 !important}
.navbar-vertical .navbar-nav .nav-link[data-bs-toggle=collapse]:after,.navbar-vertical .navbar-nav .nav-link[data-bs-toggle=collapse][aria-expanded=true]:after{color: #7e7c7c}
.dropdown-item:hover,.dropdown-item:focus,.dropdown-item:active{color:#ffffff !important;background-color:#1A73E8 !important}
.dropdown-item:hover h6,.dropdown-item:focus h6,.dropdown-item:active h6{color:#ffffff !important}
label{color:#262626;font-weight:500}
.line-height-0 {line-height:0}
table.dataTable th{text-align:left !important}
div.dt-container div.dt-search input{border:1px solid #e5e5e5}
table.dataTable{margin-bottom:1rem !important}
table.dataTable thead tr th{font-weight:500;color:#262626}
table.dataTable thead tr th,table.dataTable>tbody>tr>th,table.dataTable>tbody>tr>td{padding: 8px 10px !important}
table.dataTable>tbody{vertical-align:middle}
/*table.dataTable .form-check-label,.form-check .form-check-label{margin-bottom:0 !important}
table.dataTable .btn.btn-sm i,table.dataTable .btn-group-sm>.btn i{font-size:inherit}*/
table.dataTable .dropdown-menu{border:1px solid #eee;box-shadow:0 4px 7px -1px rgb(0 0 0 / .11),0 2px 4px -1px rgb(0 0 0 / .07)}
.dt-layout-start,.dt-layout-end{padding:1rem;padding-top:0}
.dt-layout-start .dt-info{font-size:.875rem}
.page-item.active .page-link{color:#fff}
.page-link.active, .active>.page-link{background-color:#1A73E8 !important;border-color:#1A73E8 !important}
.input-group.input-group-static:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu),.input-group.input-group-static:not(.has-validation)>.dropdown-toggle:nth-last-child(n+3),.input-group.input-group-dynamic:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu),.input-group.input-group-dynamic:not(.has-validation)>.dropdown-toggle:nth-last-child(n+3){border-top-right-radius:0!important;border-bottom-right-radius:0!important}
.form-control:disabled,.form-control[readonly]{background-color:#e9ecef !important;opacity:1}
.form-horizontal .form-control,.form-horizontal .form-select,.dt-layout-start .form-control,.dt-layout-start .form-select,.dt-layout-end .form-control,.dt-layout-end .form-select{border:1px solid #d2d6da;border-radius:.375rem;}
.form-horizontal .form-control:focus,.form-horizontal .form-select:focus,.dt-layout-start .form-control:focus,.dt-layout-start .form-select:focus,.dt-layout-end .form-control:focus,.dt-layout-end .form-select:focus{color:#495057;background-color:#fff;border-color:#e293d3;outline:0;box-shadow:0 0 0 2px #e9aede}
.form-horizontal .form-group{margin-bottom: 0.4rem}
.form-check-label{margin-bottom:0 !important}
.form-select{background-position:right 0.4rem center}
.form-horizontal .col-form-label{font-weight:400}
.form-horizontal .col-form-label-sm{font-size:.83rem}
.btn.btn-sm i,.btn-group-sm>.btn i{font-size:inherit}
.choices{width:100%;margin-bottom:0}
.choices__inner{/*display:flex;align-items:center;*/padding:.5rem 0;border-radius:.5rem;min-height:40px;background-color:#fff;border:none}
.choices__list--dropdown{display:block;transform-origin:0 0;backface-visibility:hidden;will-change:0 0;border:none;border-radius:.5rem;box-shadow:0 10px 15px -3px rgb(0 0 0 / .1),0 4px 6px -2px rgb(0 0 0 / .05);padding:1rem .5rem;transition:transform .3scubic -bezier(.4,0,.2,1),opacity .2scubic -bezier(.4,0,.2,1)!important}
.choices .choices__input{width:100% !important;background-color:#ffffff;
  /*background-image:linear-gradient(0deg, #dddddd 1px, rgba(156, 39, 176, 0) 0), linear-gradient(0deg, #d2d2d2 1px, hsla(0, 0%, 82%, 0) 0);*/
  background-image:linear-gradient(0deg, #1a73e8 2px, rgba(156, 39, 176, 0) 0),linear-gradient(0deg, #d2d2d2 1px, hsla(0, 0%, 82%, 0) 0)
}
.choices .choices__input:focus{
  /*background-image:linear-gradient(0deg,#e91e63 2px,#fff0 0),linear-gradient(0deg,#d2d2d2 1px,#fff0 0)*/
  background-image:linear-gradient(0deg, #1a73e8 2px, rgba(156, 39, 176, 0) 0),linear-gradient(0deg, #d2d2d2 1px, hsla(0, 0%, 82%, 0) 0)
}
.choices .choices__list.choices__list--single, .choices .choices__list.choices__list--single:focus {
  /*background-image: linear-gradient(0deg, #e91e63 2px, rgba(156, 39, 176, 0) 0), linear-gradient(0deg, #d2d2d2 1px, hsla(0, 0%, 82%, 0) 0);*/
  background-image:linear-gradient(0deg, #1a73e8 2px, rgba(156, 39, 176, 0) 0),linear-gradient(0deg, #d2d2d2 1px, hsla(0, 0%, 82%, 0) 0)
}
.input-group input[type=file],.form-group input[type=file]{opacity:1;position:relative;z-index:inherit;border-style:dashed;color:#777;top:0;right:0;bottom:0;left:0;width:100%;height:100%}
/*.loadingna{position:absolute;top:50%;left:50%;width:auto;text-align:center;padding:20px;z-index:99;margin:-100px 0 0 -150px;}*/
.loading-overlay{position:fixed;top:0;left:0;width:100%;height:100vh;display:flex;justify-content:center;align-items:center;z-index:9999;background-color:rgb(255 255 255 / .8)}.loader{border:4px solid rgb(0 0 0 / .1);border-top:4px solid #3498db;border-radius:50%;width:50px;height:50px;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}
.tox.tox-tinymce{width:100% !important}
.tox-tinymce-aux{z-index:9999!important}
input::-webkit-input-placeholder,textarea::-webkit-input-placeholder{color:#d4d4d4 !important}
input:-moz-placeholder,textarea:-moz-placeholder{color:#d4d4d4 !important}
input::-moz-placeholder,textarea::-moz-placeholder{color:#d4d4d4 !important}
input:-ms-input-placeholder,textarea:-ms-input-placeholder{color:#d4d4d4 !important}
td .img-container{width:100% !important;overflow:hidden !important}
td .img-container img{width:100% !important}
span.error, label.error{margin-top:0;font-size:.85em;color:#dc3545 !important}
i.icon-alert-lg{font-size:70px !important}
.icon-dashboard i{top:0;font-size:2.5rem}
.btn-xs{font-size:0.7rem;padding-top:0.17rem !important;padding-bottom:0.17rem !important;padding-left:0.7rem !important;padding-right:0.7rem !important;}
.btn-sm i.material-symbols-rounded, .btn-xs i{font-size: 1.1rem !important}
.nav-tabs .nav-link{color:#262626!important}
.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link{color:#fd7062 !important}
.form-check label{color:#404040 !important;font-weight:400}
select option:first-child[value=""]{color:#828282} /* Example: light gray */
.form-check:not(.form-switch) .form-check-input[type=checkbox]:checked,.form-check:not(.form-switch) .form-check-input[type=radio]:checked{border-color:#1A73E8!important}
.form-check:not(.form-switch) .form-check-input[type=checkbox]:checked{background: #1A73E8;}
.form-check-input:checked[type=radio]{--bs-form-check-bg-image:linear-gradient(195deg, #1A73E8 0%, #1A73E8 100%)}
.form-check:not(.form-switch) .form-check-input[type=radio]:after{background-image:linear-gradient(195deg,#1A73E8 0%,#1A73E8 100%),var(--bs-gradient)}
.form-check-input:checked[type=radio]{--bs-form-check-bg-image:linear-gradient(195deg, #1A73E8 0%, #1A73E8 100%)}
.custom-tooltip{--bs-tooltip-bg:#ffffff;--bs-tooltip-color:#737373}
.alert-primary,.alert-secondary,.alert-success,.alert-warning,.alert-danger,.alert-info,.alert-light,.alert-dark{background-image:inherit}
.bd-callout {
    --bs-link-color-rgb: var(--bd-callout-link);
    --bs-code-color: var(--bd-callout-code-color);
    padding: 1.25rem;
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
    color: var(--bd-callout-color, inherit);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
    border-left: .25rem solid var(--bd-callout-border, var(--bs-gray-300))
}

.bd-callout h4 {
    margin-bottom: .25rem
}

.bd-callout>:last-child {
    margin-bottom: 0
}

.bd-callout+.bd-callout {
    margin-top: -.25rem
}

.bd-callout .highlight {
    background-color: #0000000d
}

.bd-callout-info {
    --bd-callout-color: var(--bs-info-text-emphasis);
    --bd-callout-bg: var(--bs-info-bg-subtle);
    --bd-callout-border: var(--bs-info-border-subtle)
}

.bd-callout-warning {
    --bd-callout-color: var(--bs-warning-text-emphasis);
    --bd-callout-bg: var(--bs-warning-bg-subtle);
    --bd-callout-border: var(--bs-warning-border-subtle)
}

.bd-callout-danger {
    --bd-callout-color: var(--bs-danger-text-emphasis);
    --bd-callout-bg: var(--bs-danger-bg-subtle);
    --bd-callout-border: var(--bs-danger-border-subtle)
}
.form-group {
    margin-bottom: 1rem;
}
.form-group .btn-icon {font-size: large;}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
  appearance: textfield;
}
hr.hr-full{border-top:1px solid !important;}
h2.swal2-title{font-size:1.3em !important}
h2.swal2-title{font-size:1.3em !important}
.swal2-html-container{font-size:1em !important}
.form-switch .form-check-input:checked {
  border-color: #1A73E8;
  background-color: #1A73E8;
}
.choices.is-disabled .choices__inner {
  padding-bottom: 0 !important;
  border-radius: 0 !important;
}
.choices.is-disabled[data-type*=select-one]::after {
  margin-top: 0 !important;
}
.badge-primary {
  color: rgb(8.5428571429,90.5932038835,198.4571428571);
  background-color: rgb(174.3047619048,205.6666666667,246.8952380952)
}

.badge-primary[href]:focus,.badge-primary[href]:hover {
  color: color-yiq(#1a73e8);
  text-decoration: none;
  background-color: rgb(17.9619047619,87.4666666667,178.8380952381)
}

.badge-secondary {
  color: rgb(98.45,80.55,80.55);
  background-color: rgb(196.6,196.6,196.6)
}

.badge-secondary[href]:focus,.badge-secondary[href]:hover {
  color: color-yiq(#737373);
  text-decoration: none;
  background-color: rgb(84.4,84.4,84.4)
}

.badge-success {
  color: rgb(50.5577689243,149.4422310757,54.5531007284);
  background-color: rgb(188.2071713147,225.9928286853,189.7338645418)
}

.badge-success[href]:focus,.badge-success[href]:hover {
  color: color-yiq(#4caf50);
  text-decoration: none;
  background-color: rgb(57.4693227092,132.3306772908,60.4940239044)
}

.badge-info {
  color: rgb(8.5428571429,90.5932038835,198.4571428571);
  background-color: rgb(174.3047619048,205.6666666667,246.8952380952)
}

.badge-info[href]:focus,.badge-info[href]:hover {
  color: color-yiq(#1a73e8);
  text-decoration: none;
  background-color: rgb(17.9619047619,87.4666666667,178.8380952381)
}

.badge-warning {
  color: rgb(200,111.5537848606,0);
  background-color: rgb(255,212.6342629482,159.2)
}

.badge-warning[href]:focus,.badge-warning[href]:hover {
  color: color-yiq(#fb8c00);
  text-decoration: none;
  background-color: rgb(189.8,105.8645418327,0)
}

.badge-danger {
  color: rgb(245.5957746479,18.3763807979,.4042253521);
  background-color: rgb(252.4281690141,211.0450704225,207.7718309859)
}

.badge-danger[href]:focus,.badge-danger[href]:hover {
  color: color-yiq(#f44335);
  text-decoration: none;
  background-color: rgb(223.6225352113,27.676056338,12.1774647887)
}

.badge-light {
  color: rgb(208.65,198.35,198.35);
  background-color: #fff
}

.badge-light[href]:focus,.badge-light[href]:hover {
  color: color-yiq(#e5e5e5);
  text-decoration: none;
  background-color: rgb(198.4,198.4,198.4)
}

.badge-dark {
  color: rgb(13.75,11.25,11.25);
  background-color: rgb(119.6,119.6,119.6)
}

.badge-dark[href]:focus,.badge-dark[href]:hover {
  color: color-yiq(#262626);
  text-decoration: none;
  background-color: rgb(7.4,7.4,7.4)
}

.badge-white {
  color: rgb(232.05,226.95,226.95);
  background-color: #fff
}

.badge-white[href]:focus,.badge-white[href]:hover {
  color: color-yiq(#fff);
  text-decoration: none;
  background-color: rgb(224.4,224.4,224.4)
}

.badge-dark-blue {
  color: rgb(12.2263157895,19.1155789474,88.7736842105);
  /*background-color: rgb(93.5210526316,105.0552631579,221.6789473684)*/
  background-color: rgb(94 105 222 / 25%);
}

.badge-dark-blue[href]:focus,.badge-dark-blue[href]:hover {
  color: color-yiq(#1a237e);
  text-decoration: none;
  background-color: rgb(15.5315789474,20.9078947368,75.2684210526)
}
@media print {
  .no-print, .no-print * {
      display: none !important;
  }
}
@media screen and (min-width: 992px) and (max-width: 1439px) {

}
@media screen and (min-width: 992px) {
  .sidenav {
      z-index: 999;
  }
}
